#!/bin/sh
#
VERSION=$1
#
INSTALLDIR=/var/tmp
PLUGINHOME=/usr/lib/enigma2/python/Plugins/Extensions
ERHOME=$PLUGINHOME/ER
MEDIASERVER=$PLUGINHOME/Mediaserver7025

cd $ERHOME
if [ -z $VERSION ]; then
echo "Version needs to be passed as argument, cann't do anything"
echo "---------------------------------------------"
exit 1
fi
 
rm $INSTALLDIR/* > /dev/null 2>&1
rm $ERHOME/er*.tar > /dev/null 2>&1
rm $ERHOME/0_RECORDTIMER/1_* > /dev/null 2>&1
rm $ERHOME/serviceref.lst > /dev/null 2>&1
rm $ERHOME/0_SYSTEM/*.txt > /dev/null 2>&1
rm $ERHOME/0_MOVIELIST/*.txt > /dev/null 2>&1
rm $ERHOME/*.pyc > /dev/null 2>&1
rm $ERHOME/reload_sheduled > /dev/null 2>&1
rm $ERHOME/timers.tmp > /dev/null 2>&1
rm $ERHOME/timers.xml > /dev/null 2>&1

echo "---------------------------------------------"
echo "Creating ER Installation Kit Version: $VERSION"
echo "---------------------------------------------"

if [ ! -d $INSTDIR ]; then
mkdir $INSTALLDIR
fi
dos2unix $ERHOME/readme.txt
cd /
tar -cf $INSTALLDIR/er$VERSION.tar /etc/rc3.d/S22mediaserver /etc/cron/examples/e2r.sh $ERHOME/*  $MEDIASERVER/*
echo " Kit contains "
echo "---------------------------------------------"
tar -tvf $INSTALLDIR/er$VERSION.tar
echo "---------------------------------------------"
if [ ! -f /usr/bin/bzip2 ]; then
cd /
ipkg install $INSTALLDIR/bzip2*
cd $ERHOME
echo "---------------------------------------------"
fi
echo "Copying kit to $INSTALLDIR"
echo "---------------------------------------------"
bzip2 -f $INSTALLDIR/er$VERSION.tar
ls -1alh $INSTALLDIR/er$VERSION.tar.*
echo "---------------------------------------------"
cd $ERHOME
killall enigma2
exit 0

